.btn {
	padding: 12px 30px 13px;
	border-radius: $default-border-radius;
	font-weight: 600;
	font-size: 14px;
	position: relative;
	z-index: 1;

	&:active:focus,
	&:focus {
		box-shadow: none;
	}

	&.btn-primary {
		color: $white;
		background-image: linear-gradient(224deg, #811eca, #3fa9f5);
		border: none;
		min-width: 168px;
		position: relative;
		z-index: 1;

		&:after {
			content: '';
			background: url(../images/btn-shadow.png) no-repeat;
			background-size: cover;
			position: absolute;
			bottom: -45px;
			left: 50%;
			transform: translate(-50%);
			width: 227px;
			height: 110px;
			z-index: -1;
		}

		&:hover,
		&:active,
		&:active:focus {
			background: linear-gradient(224deg, #3fa9f5, #811eca);
		}

		img {
			margin-left: 3px;
		}
	}
}

.btn-light {
	padding: 7px 30px;
	background: none;
	color: $white;
	border: 1px solid #5f66e1;

	&:hover,
	&:active,
	&:active:focus {
		background: linear-gradient(224deg, #811eca, #3fa9f5);
		color: $white;
		border-color: #5f66e1;
	}
}

// burger btn

.mobile-menu-btn * {
	transition: all 0.3s;
}

.mobile-menu-btn {
	position: relative;
	margin: 0 0 0 20px; 
	height: 27px;
    width: 39px;
    display: none;
    z-index: 1000;

    @media #{$sm-max} {
    	display: block;
    }
}

.mobile-menu-btn .spinner3 {
	position: absolute;
	height: 5px;
	width: 100%;
	background-image: linear-gradient(224deg,#811eca,#3fa9f5);
}

.mobile-menu-btn .diagonal.part-1 {
	position: relative;
	float: left;
}
.mobile-menu-btn .horizontal {
	position: relative;
	float: left;
	margin-top: 6px;
}

.mobile-menu-btn .diagonal.part-2 {
	position: relative;
	float: left;
	margin-top: 6px;
}

.open-menu {
	.mobile-menu-btn > .spinner3.horizontal {
		transform:scale(2,1);
		-webkit-transform:scale(2,1); 
		opacity: 0;
	}
	.mobile-menu-btn > .spinner3.diagonal.part-1 {
		transform:rotate(-135deg);
		-webkit-transform:rotate(-135deg);
		margin-top:10px;
	}

	.mobile-menu-btn > .spinner3.diagonal.part-2 {
		transform:rotate(135deg);
		-webkit-transform:rotate(135deg);
		margin-top:-16px;
	}
}